
import 'dart:convert';

import 'package:isar/isar.dart';

import '../generated/json/base/json_field.dart';
import '../generated/json/immune_batch_detail_entity.g.dart';

part 'immune_batch_detail_entity.g.dart';

@JsonSerializable()
@collection
class ImmuneBatchDetailEntity{
  Id id = Isar.autoIncrement;

  /** unid主键 */
  @Index(unique: true, replace: true)
  String? unid;

  /**
   * 基础信息unid
   */
  String? cattleresumeUnid;

  /** 电子耳标 */
  String? registrationNo;

  /** 可视耳标 */
  String? individualNo;

  /**
   * 免疫记录unid
   */
  String? immunebatchUnid;

  /**
   * 部门id
   */
  String? deptId;


  /** 是否上传 0未上传，1已上传 */
  String? uploadStatus;

  ImmuneBatchDetailEntity();

  factory ImmuneBatchDetailEntity.fromJson(Map<String, dynamic> json) =>
      $ImmuneBatchDetailEntityFromJson(json);

  Map<String, dynamic> toJson() => $ImmuneBatchDetailEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }


}